@echo off

rem 设置 Nginx 位于的盘符
set NGINX_DRIVER=D:
rem 设置 Nginx 的主目录
set NGINX_PATH=%NGINX_DRIVER%\MYOA\nginx

rem 切换到 Nginx 所在的盘符
%NGINX_DRIVER%
rem 进入 Nginx 的主目录
cd %NGINX_PATH%

rem  获取昨天的日期，存入 YESTERDAY 变量，udate 参数中的 % 需要改成 %% 进行转义
for /f %%a in ('udate -d "yesterday" +%%Y%%m%%d') do set YESTERDAY=%%a

rem 设置 Nginx 的日志目录
set LOG_PATH=%NGINX_PATH%\logs
rem 移动文件
move %LOG_PATH%\oa.access.log %LOG_PATH%\daily\oa.access.%YESTERDAY%.log
move %LOG_PATH%\oa.error.log %LOG_PATH%\daily\oa.error.%YESTERDAY%.log

rem 向 nginx 发送 reopen 信号以重新打开日志文件，功能与 Linux 平台中的 kill -USR1 一致
PMIS_Nginx.exe -s reopen
echo on
